%define		status		stable
%define		pearname	Image_Barcode
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - render barcodes
Summary(pl.UTF-8):	%{pearname} - rysowanie kodów kreskowych
Name:		php-pear-%{pearname}
Version:	1.1.3
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	8df93161d954c6a2bc0fc2bbce02c208
URL:		http://pear.php.net/package/Image_Barcode/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(gd)
Requires:	php-pear
Suggests:	php-pear-PHP_Compat
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(PHP/Compat.*)

%description
With PEAR::Image_Barcode class you can create a barcode representation
of description a given string. This class uses GD functions because of
this the generated graphic can be any of GD supported supported image
types.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Przy pomocy klasy PEAR::Image_Barcode można tworzyć reprezentację
danego łańcucha w postaci kodu kreskowego. Ta klasa używa funkcji GD,
dzięki czemu generowana grafika może być w dowolnym formacie
obsługiwanym przez GD.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Image_Barcode/README .
mv docs/%{pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc README
%doc install.log optional-packages.txt
%doc docs/%{pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Image/Barcode
%{php_pear_dir}/Image/*.php
%{php_pear_dir}/Image/Barcode/*.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 499bffc
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> 9a55357
- up to 1.1.3

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> ac3d1f3
- up to 1.1.2

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> dc5fab8
- updated to: 1.1.1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 21d7e32
- updated deps with pearize.sh
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 995d1db
- rel 2

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> f75a89b
- 1.1.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7e9007e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cbbe8f6
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 943ccf3
- rel 3: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 2470664
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> e0519ad
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> c1bfc53
- BR php-pear-PEAR

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 2d77a49
- updated to 1.0.4 (no need to obsolete -tests, it was never on ftp)

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> cd125f1
- new pear packaging

* Sun May 08 2005 Adam Gołębiowski <adamg@pld-linux.org> 0e3e8a0
- updated to 1.0.1

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> 187eb01
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> c4a636a
- fixed english information about status of the package

* Tue Dec 23 2003 Adam Gołębiowski <adamg@pld-linux.org> 20e8cac
- updated to 0.5
- status changed to stable
- some minor cosmetics

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> f191bea
- do not use macros in URL

